# dmac_request Struct Reference

Asynchronous DMA request. More...

`#include <dma_controller.h>`

Collaboration diagram for dmac_request:

[legend]

## Data Fields
struct slist | buf_list
| List of buffers associated with this request.
struct slist_node | node
| List node for use by the DMAC driver.
enum dma_direction | direction
| Direction of the transfer (to or from the peripheral).
enum dmac_reg_width | reg_width
| Peripheral register width.
enum dmac_burst_length | burst_length
| Burst Transaction length.
void(* | req_done )(struct dmac_channel *chan, struct dmac_request *req)
| Callback called when the request is done.
void * | context
| Arbitrary data for use by the client.
int | status
| Status indicating success or failure.
size_t | bytes_xfered
| The number of bytes that were successfully transfered.

## Detailed Description

Asynchronous DMA request.

Definition at line 82 of file dma_controller.h.

## Field Documentation

struct slist dmac_request::buf_list`[read]`

List of buffers associated with this request.

Definition at line 84 of file dma_controller.h.

Referenced by aes_submit_request(), dmac_req_add_buffer(), dmac_req_init(), and sdmmc_mcihost_load_data().

enum dmac_burst_length dmac_request::burst_length

Burst Transaction length.

Definition at line 92 of file dma_controller.h.

size_t dmac_request::bytes_xfered

The number of bytes that were successfully transfered.

Definition at line 105 of file dma_controller.h.

Referenced by sdmmc_mcihost_load_data().

void* dmac_request::context

Arbitrary data for use by the client.

Definition at line 101 of file dma_controller.h.

enum dma_direction dmac_request::direction

Direction of the transfer (to or from the peripheral).

Definition at line 88 of file dma_controller.h.

struct slist_node dmac_request::node`[read]`

List node for use by the DMAC driver.

Definition at line 86 of file dma_controller.h.

enum dmac_reg_width dmac_request::reg_width

Peripheral register width.

Definition at line 90 of file dma_controller.h.

void(* dmac_request::req_done)(struct dmac_channel *chan, struct dmac_request *req)

Callback called when the request is done.

Parameters:

  | chan | Channel on which the request was performed
  | req | The request

int dmac_request::status

Status indicating success or failure.

Definition at line 103 of file dma_controller.h.

Referenced by sdmmc_mcihost_load_data().

The documentation for this struct was generated from the following file:

- include/dmac/dma_controller.h